{% load static %}
<!DOCTYPE html>
<html>
  <head>
    <meta charset="UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>Zukunftslabor Energie</title>
    <title>Scroll to Top Button | CodingNepal</title>

    <!-- Favicon -->
    <link rel="icon" href="{% static 'favicon.png' %}" />

    <!-- Font Awesome -->
    <link
      href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.0.0/css/all.min.css"
      rel="stylesheet"
    />

    <!-- Google Fonts -->
    <link
      href="https://fonts.googleapis.com/css?family=Roboto:300,400,500,700&display=swap"
      rel="stylesheet"
    />

    <!-- Bootstrap 4 -->
    <link
      rel="stylesheet"
      href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.2/dist/css/bootstrap.min.css"
    />

    <!-- load zle-files -->
    <link rel="stylesheet" href="{% static 'css/zle-base.css' %}" />
    <!-- In dieser Zeile wird die CSS-Datei für den Style angegeben. Wichtig nist heirbei der Vorsatz "rel="stylesheet"!!!!! -->
    <link rel="shortcut icon" href="{% static 'img/favicon.png' %}" />
    <script
      defer
      src="https://unpkg.com/smoothscroll-polyfill@0.4.4/dist/smoothscroll.min.js"
    ></script>

    <!-- JQuery Sumoselect: A jQuery plugin that progressively enhances  -->
    <!-- an HTML Select Box into a Single/Multiple option dropdown list. -->
    <!-- Latest compiled and minified CSS -->
    <link
      rel="stylesheet"
      href="https://cdnjs.cloudflare.com/ajax/libs/jquery.sumoselect/3.1.6/sumoselect.min.css"
    />

    <!-- JQuery & Javascript -->
    <script src="https://cdn.jsdelivr.net/npm/jquery@3.5.1/dist/jquery.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@4.6.2/dist/js/bootstrap.bundle.min.js"></script>

    <!-- Latest compiled and minified JavaScript -->
    <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery.sumoselect/3.1.6/jquery.sumoselect.min.js"></script>

    <!-- Custom CSS -->
    <link rel="stylesheet" href="{% static  'css/simulation.css' %}" />
    <link rel="stylesheet" href="{% static  'css/scenario.css' %}" />
    <link rel="stylesheet" href="{% static  'css/componentcatalog.css' %}" />

    <!-- Custom Javascript -->
    <script src="{% static 'js/scenario.js' %}"></script>
    <script src="{% static 'js/component.js' %}"></script>
  </head>
  <body class="d-flex flex-column min-vh-100">
    <div class="body_box">
      <!-- ----- HEADER ---------------------- -->
      <header class="header_box" style="z-index: 1">
        <!-- ----- LOGO ----- -->
        <div class="logo_box">
          <ul>
            <!-- <li><a href="index.html" class="logo-button"><img src="img/logos/logos_zdin_zle/ZDIN_Dachlogo_pos_rgb.svg" width="60px" style="vertical-align:top" alt="Logo ZDIN"></a></li> -->
            <li>
              <a href="https://{{ request.get_host }}" class="logo-button"
                ><img
                  src="{% static 'img/logos/logos_zdin_zle/logo-zle.svg' %}"
                  width="250px"
                  style="vertical-align: middle"
                  alt="Logo Zunkunftslabor Energie"
              /></a>
            </li>
          </ul>
        </div>

        <!-- ----- NAVI - Hauptnavigation ----- -->
        <nav class="main_nav">
          <ul>
            <li><a href="https://{{ request.get_host }}/search">Search</a></li>
            <li>
              <a href="https://{{ request.get_host }}/competence">Competence</a>
            </li>
            <li>
              <a href="https://{{ request.get_host }}/methods">Methods</a>
            </li>
            <li>
              <a href="https://{{ request.get_host }}/repository">Repository</a>
            </li>
            <li>
              <a href="{% url 'simulation-home' %}">Simulation</a>
            </li>
            <li>
              <a href="https://{{ request.get_host }}/transparency"
                >Transparency</a
              >
            </li>
          </ul>
        </nav>

        <!-- Verankerung Navigation wird zu Burger ab definierter Breite -->
        <a href="#" class="toggle-button">
          <span class="bar"></span>
          <span class="bar"></span>
          <span class="bar"></span>
        </a>

        <!-- ----- MENU - Nebennavigation ----- -->
        <menu>
          <li><a href="#">About Us</a></li>
          <li><a href="#">Login</a></li>
        </menu>
      </header>
      <!-- ----- HEADER END ------------------ -->

      <!-- ----- MAIN CONTENT ----- -->
      <main class="main_box">
        {% if messages %}
        <div class="container">
          {% for message in messages %}
          <div class="container-fluid p-0">
            <div
              class="alert {{ message.tags }} alert-dismissible"
              role="alert"
            >
              <button
                type="button"
                class="close"
                data-dismiss="alert"
                aria-label="Close"
              >
                <span aria-hidden="true">&times;</span>
              </button>
              {{ message }}
            </div>
          </div>
          {% endfor %}
        </div>
        {% endif %}

        <div class="first-div">{% block content %}</div>
        <!-- Place default content here -->
        {% endblock %}
      </main>
      <!-- ----- MAIN CONTENT END ----- -->
    </div>
    <!-- Ende der Body-Box -->

    <!-- ----- FOOTER ----- -->
    <!-- Footer -->
    <footer class="footer">
      <!-- Copyright -->
      <div class="footer_top_box">
        <ul class="element_footer_top">
          <li>
            <img
              src="https://www.zdin.de/uploads/VW_und_Niedersachsen-Ministerium_Logo-Kopie.png"
              alt="Förderer VW Stiftung und MWK Niedersachsen"
            />
          </li>
        </ul>
      </div>
      <div class="footer_box">
        <ul class="element_footer_zdin">
          <li>
            <a href="https://zdin.de/">
              <img
                src="{% static 'img/logos/logos_zdin_zle/ZDIN_Dachlogo_neg_rgb.png' %}"
                height="140px"
                alt="Logo ZDIN"
            /></a>
          </li>
        </ul>
        <ul class="element_footer">
          <li>
            <a href="https://zdin.de/"
              ><img
                src="{% static 'img/logos/logos_zdin_zle/ZDIN_Zukunftslabore_Logo_Icons_ENE_neg_rgb.png' %}"
                height="150px"
                alt="Logo ZLE"
            /></a>
          </li>
        </ul>
        <ul class="element_footer">
          <h4>LEGALS</h4>
          <li>
            <a href="https://zle.offis.de/sites/impressum">Impressum</a>
          </li>
          <li>
            <a href="https://zle.offis.de/sites/datenschutz">Datenschutz</a>
          </li>
          <li><a href="https://zle.offis.de/sites/privacy">Privacy</a></li>
        </ul>
        <ul class="element_footer">
          <h4>Join us</h4>
          <li>
            <a href="https://gitlab.com/zdin-zle"
              ><i class="fa-brands fa-gitlab" aria-hidden="true"></i> GitLab</a
            >
          </li>
          <li><a href="https://zdin.de/">ZDIN</a></li>
        </ul>
        <ul class="element_footer">
          <li><h6>copyright 2023 - ZDIN - ZLE</h6></li>
        </ul>
        <!-- to top button -->
        <div>
          <a href="#" title="Back to Top">
            <button class="to-top-button">TO TOP</button>
          </a>
        </div>
      </div>

      <!-- Copyright -->
    </footer>
    <!-- ----- FOOTER END ----- -->
  </body>
</html>
